Package org.eclipse.jdt.core.refactoring.participants

# Class ChangeMethodSignatureArguments

java.lang.Object
org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
org.eclipse.jdt.core.refactoring.participants.ChangeMethodSignatureArguments

public class ChangeMethodSignatureArguments extends org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
Change method signature arguments describe the data that a processor provides to its change signature participants

This class is not intended to be subclassed by clients.

Since:
  1.2
Restriction:
  This class is not intended to be subclassed by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ChangeMethodSignatureArguments.Parameter`
Instances of `ChangeMethodSignatureArguments.Parameter` are used to describe the new parameters after a change method signature refactoring.
`static final class`
`ChangeMethodSignatureArguments.ThrownException`
Instances of `ChangeMethodSignatureArguments.ThrownException` are used to describe the new thrown exceptions after a change method signature refactoring.

## Constructor Summary

Constructors
Constructor
Description
`ChangeMethodSignatureArguments(String newName, String newReturnType, int newVisibility, ChangeMethodSignatureArguments.Parameter[] newParameters, ChangeMethodSignatureArguments.ThrownException[] thrownExceptions, boolean keepOriginal)`
Creates new change method signature arguments.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getKeepOriginal()`
Returns whether the original method is kept as a delegate to the new one.
`String`
`getNewName()`
Returns the new method name.
`ChangeMethodSignatureArguments.Parameter[]`
`getNewParameters()`
Returns the new parameters of this method.
`String`
`getNewReturnType()`
Returns the type signature of the new return type of this method.
`int`
`getNewVisibility()`
Returns the new visibility of this method.
`ChangeMethodSignatureArguments.ThrownException[]`
`getThrownExceptions()`
Returns the new thrown exceptions of this method.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChangeMethodSignatureArguments

public ChangeMethodSignatureArguments(String newName, String newReturnType, int newVisibility, ChangeMethodSignatureArguments.Parameter[] newParameters, ChangeMethodSignatureArguments.ThrownException[] thrownExceptions, boolean keepOriginal)
Creates new change method signature arguments.

Parameters:
  `newName` - the new name of the element to be changed
  `newReturnType` - the new method return type in signature notation (see `Signature`).
  `newVisibility` - the new visibility; one of `Flags.AccPublic`, `Flags.AccProtected`, `Flags.AccPrivate` or `0` for the default visibility.
  `newParameters` - the new parameters of this method
  `thrownExceptions` - the new exceptions thrown by this method
  `keepOriginal` - `true` if the original method is kept as a delegate to the new one, `false` otherwise

## Method Details

### getNewName

public String getNewName()
Returns the new method name. If the name has not been changed by the refactoring, the original parameter name is returned.

Returns:
  the method name

### getNewReturnType

public String getNewReturnType()
Returns the type signature of the new return type of this method. For constructors, this returns the signature for void. If the return type has not been changed by the refactoring, the original return type signature is returned.

Returns:
  the new return type

### getNewVisibility

public int getNewVisibility()
Returns the new visibility of this method. The visibility is one of `Flags.AccPublic`, `Flags.AccProtected`, `Flags.AccPrivate` or `0` for the default visibility. If the visibility has not been changed by the refactoring, the original visibility is returned.

Returns:
  the visibility of the method

### getNewParameters

public ChangeMethodSignatureArguments.Parameter[] getNewParameters()
Returns the new parameters of this method.

Returns:
  the new parameters of this method

### getThrownExceptions

public ChangeMethodSignatureArguments.ThrownException[] getThrownExceptions()
Returns the new thrown exceptions of this method.

Returns:
  new thrown exceptions of this method

### getKeepOriginal

public boolean getKeepOriginal()
Returns whether the original method is kept as a delegate to the new one.

Returns:
  returns `true` if the original method is kept `false` otherwise

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.ltk.core.refactoring.participants.RefactoringArguments`